#define help_dmesg "usage: dmesg [-n level] [-s bufsize] | -c\n\nPrint or control the kernel ring buffer.\n\n-n  Set kernel logging level (1-9).\n-s  Size of buffer to read (in bytes), default 16384.\n-c  Clear the ring buffer after printing.\n"
#define help_hostname "usage: hostname [newname]\n\nGet/Set the current hostname\n"
#define help_killall "usage: killall [-l] [-iqv] [-SIG] PROCESS_NAME...\n\nSend a signal (default: TERM) to all processes with the given names.\n\n-i  ask for confirmation before killing\n-l  print list of all available signals\n-q  don't print any warnings or error messages\n-v  report if the signal was successfully sent\n"
#define help_md5sum "usage: md5sum [FILE]...\n\nCalculate md5 hash for each input file, reading from stdin if none.\nOutput one hash (16 hex digits) for each input file, followed by\nfilename.\n"
#define help_md5sum_sha1sum "usage: sha1sum [FILE]...\n\ncalculate sha1 hash for each input file, reading from stdin if one.\nOutput one hash (20 hex digits) for each input file, followed by\nfilename.\n"
#define help_mknod "usage: mknod NAME TYPE [MAJOR MINOR]\n\nCreate a special file NAME with a given type, possible types are\nb   block device\nc or u      character device\np   named pipe (ignores MAJOR/MINOR)\n"
#define help_mktemp "usage: mktemp [-dq] [-p DIR] [TEMPLATE]\n\nSafely create new file and print its name. Default TEMPLATE is\n/tmp/tmp.XXXXXX and each trailing X is replaced with random char.\n\n-d, --directory        Create directory instead of file\n-p DIR, --tmpdir=DIR   Put new file in DIR\n-q                     Quiet\n"
#define help_passwd "usage: passwd [-a ALGO] [-dlu] <account name>\n\nupdate user's authentication tokens. Default : current user\n\n-a ALGO     Encryption method (des, md5, sha256, sha512) default: des\n-d          Set password to ''\n-l          Lock (disable) account\n-u          Unlock (enable) account\n"
#define help_pidof "usage: pidof [-s] [-o omitpid[,omitpid..]] [NAME]...\n\nPrint the PIDs of all processes with the given names.\n-s  single shot, only return one pid.\n-o  omits processes with specified PID\n"
#define help_seq "usage: seq [-f fmt_str] [-s sep_str] [first] [increment] last\n\nCount from first to last, by increment. Omitted arguments default\nto 1. Two arguments are used as first and last. Arguments can be\nnegative or floating point.\n\n-f  Use fmt_str as a floating point format string\n-s  Use sep_str as separator, default is a newline character\n"
#define help_sync "usage: sync\n\nWrite pending cached data to disk (synchronize), blocking until done.\n"
#define help_umount "usage: umount [-a [-t TYPE[,TYPE...]]] [-vrfD] [DIR...]\n\nUnmount the listed filesystems.\n\n-a  Unmount all mounts in /proc/mounts instead of command line list\n-t  Restrict \"all\" to mounts of TYPE (or use \"noTYPE\" to skip)\n-D  Don't free loopback device(s).\n-f  Force unmount.\n-l  Lazy unmount (detach from filesystem now, close when last user does).\n-r  Remount read only if unmounting fails.\n-v  Verbose\n"
#define help_acpi "usage: acpi [-ab]\n\nShow status of power sources.\n\n-a  show power adapters\n-b  show batteries\n"
#define help_blkid "usage: blkid [block device...]\nPrints type, label and UUID of filesystem.\n"
#define help_bzcat "usage: bzcat [filename...]\n\nDecompress listed files to stdout. Use stdin if no files listed.\n"
#define help_catv "usage: catv [-evt] [filename...]\n\nDisplay nonprinting characters as escape sequences. Use M-x for\nhigh ascii characters (>127), and ^x for other nonprinting chars.\n\n-e  Mark each newline with $\n-t  Show tabs as ^I\n-v  Don't use ^x or M-x escapes.\n"
#define help_chroot "usage: chroot NEWPATH [commandline...]\n\nRun command within a new root directory. If no command, run /bin/sh.\n"
#define help_chvt "usage: chvt N\n\nChange to virtual terminal number N. (This only works in text mode.)\n\nVirtual terminals are the Linux VGA text mode displays, ordinarily\nswitched between via alt-F1, alt-F2, etc. Use ctrl-alt-F1 to switch\nfrom X to a virtual terminal, and alt-F6 (or F7, or F8) to get back.\n"
#define help_clear "Clear the screen.\n"
#define help_count "usage: count\n\nCopy stdin to stdout, displaying simple progress indicator to stderr.\n"
#define help_dos2unix "usage: dos2unix/unix2dos [file...]\n\nConvert newline format between dos (\\r\\n) and unix (just \\n)\nIf no files listed copy from stdin, \"-\" is a synonym for stdin.\n"
#define help_eject "usage: eject [-stT] [DEVICE]\n\nEject DEVICE or default /dev/cdrom\n\n-s  SCSI device\n-t  Close tray\n-T  Open/close tray (toggle).\n"
#define help_fallocate "usage: fallocate [-l size] file\n\nTell the filesystem to allocate space for a file.\n"
#define help_free "usage: free [-bkmg]\n\nDisplay the total, free and used amount of physical memory and\nswap space.\n\n-bkmg       Output in bytes (default), KB, MB or GB\n"
#define help_hello "usage: hello [-a] [-b string] [-c number] [-d list] [-e count] [...]\n\nA hello world program.  You don't need this.\n\nMostly used as an example/skeleton file for adding new commands,\noccasionally nice to test kernel booting via \"init=/bin/hello\".\n"
#define help_help "usage: help [command]\n\nShow usage information for toybox commands.\nRun \"toybox\" with no arguments for a list of available commands.\n"
#define help_insmod "usage: insmod MODULE [MODULE_OPTIONS]\n\nLoad the module named MODULE passing options if given.\n"
#define help_login "usage: login [-p] [-h host] [[-f] username]\n\nEstablish a new session with the system.\n-p  Preserve environment\n-h  The name of the remote host for this login\n-f  Do not perform authentication\n"
#define help_losetup "usage: losetup [-cdrs] [-o OFFSET] [-S SIZE] {-d DEVICE...|-j FILE|-af|{DEVICE FILE}}\n\nAssociate a loopback device with a file, or show current file (if any)\nassociated with a loop device.\n\nInstead of a device:\n-a  Iterate through all loopback devices\n-f  Find first unused loop device (may create one)\n-j  Iterate through all loopback devices associated with FILE\n\nexisting:\n-c  Check capacity (file size changed)\n-d  Detach loopback device\n\nnew:\n-s  Show device name (alias --show)\n-o  Start assocation at OFFSET into FILE\n-r  Read only\n-S  Limit SIZE of loopback association (alias --sizelimit)\n"
#define help_lsmod "usage: lsmod\n\nDisplay the currently loaded modules, their sizes and their dependencies.\n"
#define help_lsusb "usage: lsusb\n\nList USB hosts/devices.\n"
#define help_mkswap "usage: mkswap DEVICE\n\nSets up a Linux swap area on a device or file.\n"
#define help_modinfo "usage: modinfo [-0] [-b basedir] [-k kernrelease] [-F field] [modulename...]\nDisplay module fields for all specified modules, looking in\n<basedir>/lib/modules/<kernrelease>/ (kernrelease defaults to uname -r).\n"
#define help_mountpoint "usage: mountpoint [-q] [-d] directory\nmountpoint [-q] [-x] device\n\n-q  Be quiet, return zero if directory is a mountpoint\n-d  Print major/minor device number of the directory\n-x  Print major/minor device number of the block device\n"
#define help_netcat "usage: netcat [-wpq #] [-s addr] [-u] {IPADDR PORTNUM|-f FILENAME}\n\n-f  use FILENAME (ala /dev/ttyS0) instead of network\n-p  local port number\n-q  SECONDS quit this many seconds after EOF on stdin.\n-s  local ipv4 address\n-w  SECONDS timeout for connection\n\nUse \"stty 115200 -F /dev/ttyS0 && stty raw -echo -ctlecho\" with\nnetcat -f to connect to a serial port.\n"
#define help_netcat_listen "usage: netcat [-t] [-lL COMMAND...]\n\n-t  allocate tty (must come before -l or -L)\n-l  listen for one incoming connection.\n-L  listen for multiple incoming connections (server mode).\n\nThe command line after -l or -L is executed to handle each incoming\nconnection. If none, the connection is forwarded to stdin/stdout.\n\nFor a quick-and-dirty server, try something like:\nnetcat -s 127.0.0.1 -p 1234 -tL /bin/bash -l\n"
#define help_oneit "usage: oneit [-p] [-c /dev/tty0] command [...]\n\nA simple init program that runs a single supplied command line with a\ncontrolling tty (so CTRL-C can kill it).\n\n-p  Power off instead of rebooting when command exits.\n-c  Which console device to use.\n\nThe oneit command runs the supplied command line as a child process\n(because PID 1 has signals blocked), attached to /dev/tty0, in its\nown session. Then oneit reaps zombies until the child exits, at\nwhich point it reboots (or with -p, powers off) the system.\n"
#define help_pivot_root "usage: pivot_root OLD NEW\n\nSwap OLD and NEW filesystems (as if by simultaneous mount --move), and\nmove all processes with chdir or chroot under OLD into NEW (including\nkernel threads) so OLD may be unmounted.\n\nThe directory NEW must exist under OLD. This doesn't work on initramfs,\nwhich can't be moved (about the same way PID 1 can't be killed; see\nswitch_root instead).\n"
#define help_pmap "usage: pmap [-xq] [pids...]\n\nReports the memory map of a process or processes.\n\n-x Show the extended format.\n-q Do not display some header/footer lines.\n"
#define help_printenv "usage: printenv [-0] [env_var...]\n\nPrint environment variables.\n\n-0  Use \\0 as delimiter instead of \\n\n"
#define help_pwdx "usage: pwdx PID...\n\nPrint working directory of processes listed on command line.\n"
#define help_readahead "usage: readahead FILE...\n\nPreload files into disk cache.\n"
#define help_readlink "usage: readlink FILE\n\nWith no options, show what symlink points to, return error if not symlink.\n\nOptions for producing cannonical paths (all symlinks/./.. resolved):\n\n-e  cannonical path to existing entry (fail if missing)\n-f  full path (fail if directory missing)\n-n  no trailing newline\n-q  quiet (no output, just error code)\n"
#define help_realpath "usage: realpath FILE...\n\nDisplay the canonical absolute pathname\n"
#define help_reboot "usage: reboot/halt/poweroff [-n]\n\nRestart, halt or powerdown the system.\n\n-n  Don't sync before stopping the system.\n"
#define help_rev "usage: rev [FILE...]\n\nOutput each line reversed, when no files are given stdin is used.\n"
#define help_rmmod "usage: rmmod [-wf] [MODULE]\n\nUnload the module named MODULE from the Linux kernel.\n-f  Force unload of a module\n-w  Wait until the module is no longer used.\n\n"
#define help_setsid "usage: setsid [-t] command [args...]\n\nRun process in a new session.\n\n-t  Grab tty (become foreground process, receiving keyboard signals)\n"
#define help_stat "usage: stat [-f] [-c FORMAT] FILE...\n\nDisplay status of files or filesystems.\n\n-f display filesystem status instead of file status\n-c Output specified FORMAT string instead of default\n\nThe valid format escape sequences for files:\n%a  Access bits (octal) |%A  Access bits (flags)|%b  Blocks allocated\n%B  Bytes per block     |%d  Device ID (dec)    |%D  Device ID (hex)\n%f  All mode bits (hex) |%F  File type          |%g  Group ID\n%G  Group name          |%h  Hard links         |%i  Inode\n%n  Filename            |%N  Long filename      |%o  I/O block size\n%s  Size (bytes)        |%u  User ID            |%U  User name\n%x  Access time         |%X  Access unix time   |%y  File write time\n%Y  File write unix time|%z  Dir change time    |%Z  Dir change unix time\n\nThe valid format escape sequences for filesystems:\n%a  Available blocks    |%b  Total blocks       |%c  Total inodes\n%d  Free inodes         |%f  Free blocks        |%i  File system ID\n%l  Max filename length |%n  File name          |%s  Fragment size\n%S  Best transfer size  |%t  File system type\n"
#define help_swapoff "usage: swapoff swapregion\n\nDisable swapping on a given swapregion.\n"
#define help_swapon "usage: swapon [-p priority] filename\n\nEnable swapping on a given device/file.\n"
#define help_switch_root "usage: switch_root [-c /dev/console] NEW_ROOT NEW_INIT...\n\nUse from PID 1 under initramfs to free initramfs, chroot to NEW_ROOT,\nand exec NEW_INIT.\n\n-c  Redirect console to device in NEW_ROOT\n-h  Hang instead of exiting on failure (avoids kernel panic)\n"
#define help_tac "usage: tac [FILE...]\n\nOutput lines in reverse order.\n"
#define help_taskset "usage: taskset [-ap] [mask] [PID | cmd [args...]]\n\nLaunch a new task which may only run on certain processors, or change\nthe processor affinity of an exisitng PID.\n\nMask is a hex string where each bit represents a processor the process\nis allowed to run on. PID without a mask displays existing affinity.\n\n-p  Set/get the affinity of given PID instead of a new command.\n-a  Set/get the affinity of all threads of the PID.\n"
#define help_timeout "usage: timeout [-k LENGTH] [-s SIGNAL] LENGTH COMMAND...\n\nRun command line as a child process, sending child a signal if the\ncommand doesn't exit soon enough.\n\nLength can be a decimal fraction. An optional suffix can be \"m\"\n(minutes), \"h\" (hours), \"d\" (days), or \"s\" (seconds, the default).\n\n-s  Send specified signal (default TERM)\n-k  Send KILL signal if child still running this long after first signal.\n"
#define help_truncate "usage: truncate [-c] -s file...\n\nSet length of file(s), extending sparsely if necessary.\n\n-c  Don't create file if it doesn't exist.\n-s  New size\n"
#define help_unshare "usage: unshare [-muin] COMMAND...\n\nCreate new namespace(s) for this process and its children, so some\nattribute is not shared with the parent process.  This is part of\nLinux Containers.  Each process can have its own:\n\n-i  SysV IPC (message queues, semaphores, shared memory)\n-m  Mount/unmount tree\n-n  Network address, sockets, routing, iptables\n-p  Process IDs and init\n-u  Host and domain names\n-U  UIDs, GIDs, capabilities\n"
#define help_uptime "usage: uptime\n\nTell how long the system has been running and the system load\naverages for the past 1, 5 and 15 minutes.\n"
#define help_usleep "usage: usleep MICROSECONDS\n\nPause for MICROSECONDS microseconds.\n"
#define help_vconfig "usage: vconfig COMMAND [OPTIONS]\n\nadd             [interface-name] [vlan_id]\nrem             [vlan-name]\nset_flag        [interface-name] [flag-num]       [0 | 1]\nset_egress_map  [vlan-name]      [skb_priority]   [vlan_qos]\nset_ingress_map [vlan-name]      [skb_priority]   [vlan_qos]\nset_name_type   [name-type]\n\nCreate and remove virtual ethernet devices\n"
#define help_vmstat "usage: vmstat [-n] [delay [count]]\n-n  Display the header only once\ndelay       The delay between updates in seconds, when not specified\nthe average since boot is displayed.\ncount       Number of updates to display, the default is inifinite.\n"
#define help_w "usage: w\n\nShow who is logged on and since how long they logged in.\n"
#define help_which "usage: which [-a] filename ...\n\nSearch $PATH for executable files matching filename(s).\n\n-a  Show all matches\n"
#define help_whoami "usage: whoami\n\nPrint effective user name.\n"
#define help_yes "usage: yes [args...]\n\nRepeatedly output line until killed. If no args, output 'y'.\n"
#define help_cpio "usage: cpio { -iu | -o | -t } [-H FMT] [-F ARCHIVE]\n\ncopy files into and out of an archive\n-i  extract from archive into file system (stdin is an archive)\n-o  create archive (stdin is a list of files, stdout is an archive)\n-t  list files (stdin is an archive, stdout is a list of files)\n-u  always overwrite files (current default)\n-H FMT   write archive in specified format:\nnewc  SVR4 new character format (default)\n-F ARCHIVE  read from or write to ARCHIVE\n"
#define help_dd "usage: dd [if=FILE] [of=FILE] [ibs=N] [obs=N] [bs=N] [count=N] [skip=N]\n[seek=N] [conv=notrunc|noerror|sync|fsync]\n\nOptions:\nif=FILE   Read from FILE instead of stdin\nof=FILE   Write to FILE instead of stdout\nbs=N      Read and write N bytes at a time\nibs=N     Read N bytes at a time\nobs=N     Write N bytes at a time\ncount=N   Copy only N input blocks\nskip=N    Skip N input blocks\nseek=N    Skip N output blocks\nconv=notrunc  Don't truncate output file\nconv=noerror  Continue after read errors\nconv=sync     Pad blocks with zeros\nconv=fsync    Physically write data out before finishing\n\nNumbers may be suffixed by c (x1), w (x2), b (x512), kD (x1000), k (x1024),\nMD (x1000000), M (x1048576), GD (x1000000000) or G (x1073741824)\nCopy a file, converting and formatting according to the operands.\n"
#define help_dhcp "usage: dhcp [-fbnqvoCRB] [-i IFACE] [-r IP] [-s PROG] [-p PIDFILE]\n[-H HOSTNAME] [-V VENDOR] [-x OPT:VAL] [-O OPT]\n\nConfigure network dynamicaly using DHCP.\n\n-i Interface to use (default eth0)\n-p Create pidfile\n-s Run PROG at DHCP events (default /usr/share/dhcp/default.script)\n-B Request broadcast replies\n-t Send up to N discover packets\n-T Pause between packets (default 3 seconds)\n-A Wait N seconds after failure (default 20)\n-f Run in foreground\n-b Background if lease is not obtained\n-n Exit if lease is not obtained\n-q Exit after obtaining lease\n-R Release IP on exit\n-S Log to syslog too\n-a Use arping to validate offered address\n-O Request option OPT from server (cumulative)\n-o Don't request any options (unless -O is given)\n-r Request this IP address\n-x OPT:VAL  Include option OPT in sent packets (cumulative)\n-F Ask server to update DNS mapping for NAME\n-H Send NAME as client hostname (default none)\n-V VENDOR Vendor identifier (default 'toybox VERSION')\n-C Don't send MAC as client identifier\n-v Verbose\n\nSignals:\nUSR1  Renew current lease\nUSR2  Release current lease\n\n"
#define help_dhcpd "Usage: dhcpd [-fS] [-P N] [CONFFILE]\n\n-f    Run in foreground\n-S    Log to syslog too\n-P N  Use port N (default 67)\n"
#define help_dumpleases "Usage: dumpleases [-r|-a] [-f LEASEFILE]\n\nDisplay DHCP leases granted by udhcpd\n-f FILE,  Lease file\n-r        Show remaining time\n-a        Show expiration time\n"
#define help_expr "usage: expr args\n\nEvaluate expression and print result.\n\nThe supported operators, in order of increasing precedence, are:\n\n| & = > >= < <= != + - * / %\n\nIn addition, parentheses () are supported for grouping.\n"
#define help_fdisk "usage: fdisk [-lu] [-C CYLINDERS] [-H HEADS] [-S SECTORS] [-b SECTSZ] DISK\n\nChange partition table\n\n-u            Start and End are in sectors (instead of cylinders)\n-l            Show partition table for each DISK, then exit\n-b size       sector size (512, 1024, 2048 or 4096)\n-C CYLINDERS  Set number of cylinders/heads/sectors\n-H HEADS\n-S SECTORS\n"
#define help_find "usage: find [<dir>] [<options]\n\n-name <pattern>    match pattern\n-type [fcdl]       match file type\n!, -a, -o          not, and , or\n(, )               group expressions\n-mtime [-+]n       match file modification time (to within 24 hours)\n\\t\\t               +=greater (older) than, -=less (younger) than\n"
#define help_fsck "Usage: fsck [-ANPRTV] [-C FD] [-t FSTYPE] [FS_OPTS] [BLOCKDEV]...\n\nCheck and repair filesystems\n\n-A      Walk /etc/fstab and check all filesystems\n-N      Don't execute, just show what would be done\n-P      With -A, check filesystems in parallel\n-R      With -A, skip the root filesystem\n-T      Don't show title on startup\n-V      Verbose\n-C n    Write status information to specified filedescriptor\n-t TYPE List of filesystem types to check\n\n"
#define help_groupadd "usage: groupadd [-S] [-g GID] [USER] GROUP\n\nAdd a group or add a user to a group\n\n-g GID Group id\n-S     Create a system group\n"
#define help_ifconfig "usage: ifconfig [-a] interface [address]\n\nConfigure network interface.\n\n[add ADDRESS[/PREFIXLEN]]\n[del ADDRESS[/PREFIXLEN]]\n[[-]broadcast [ADDRESS]] [[-]pointopoint [ADDRESS]]\n[netmask ADDRESS] [dstaddr ADDRESS]\n[outfill NN] [keepalive NN]\n[hw ether|infiniband ADDRESS] [metric NN] [mtu NN]\n[[-]trailers] [[-]arp] [[-]allmulti]\n[multicast] [[-]promisc] [txqueuelen NN] [[-]dynamic]\n[mem_start NN] [io_addr NN] [irq NN]\n[up|down] ...\n"
#define help_init "usage: init\n\ninit the system.\n"
#define help_klogd "usage: klogd [-n] [-c N]\n\n-c  N   Print to console messages more urgent than prio N (1-8)\"\n-n    Run in foreground.\n"
#define help_logger "usage: logger [-s] [-t tag] [-p [facility.]priority] [message]\n\nLog message (or stdin) to syslog.\n"
#define help_lspci "usage: lspci [-ekmn@]\n\nList PCI devices.\n-e  Print all 6 digits in class (like elspci)\n-k  Print kernel driver\n-m  Machine parseable format\n-n  Numeric output\n"
#define help_lspci_text "lspci without -n prints readable descriptions;\nlspci -nn prints both readable and numeric description\n"
#define help_mdev "usage: mdev [-s]\n\nCreate devices in /dev using information from /sys.\n\n-s  Scan all entries in /sys to populate /dev.\n"
#define help_mdev_conf "The mdev config file (/etc/mdev.conf) contains lines that look like:\nhd[a-z][0-9]* 0:3 660\n\nEach line must contain three whitespace separated fields. The first\nfield is a regular expression matching one or more device names, and\nthe second and third fields are uid:gid and file permissions for\nmatching devies.\n"
#define help_mke2fs "usage: mke2fs [-Fnq] [-b ###] [-N|i ###] [-m ###] device\n\nCreate an ext2 filesystem on a block device or filesystem image.\n\n-F         Force to run on a mounted device\n-n         Don't write to device\n-q         Quiet (no output)\n-b size    Block size (1024, 2048, or 4096)\n-N inodes  Allocate this many inodes\n-i bytes   Allocate one inode for every XXX bytes of device\n-m percent Reserve this percent of filesystem space for root user\n"
#define help_mke2fs_journal "usage: [-j] [-J size=###,device=XXX]\n\n-j         Create journal (ext3)\n-J         Journal options\nsize: Number of blocks (1024-102400)\ndevice: Specify an external journal\n"
#define help_mke2fs_gen "usage: gene2fs [options] device filename\n\nThe [options] are the same as mke2fs.\n"
#define help_mke2fs_label "usage: mke2fs [-L label] [-M path] [-o string]\n\n-L         Volume label\n-M         Path to mount point\n-o         Created by\n"
#define help_mke2fs_extended "usage: mke2fs [-E stride=###] [-O option[,option]]\n\n-E stride= Set RAID stripe size (in blocks)\n-O [opts]  Specify fewer ext2 option flags (for old kernels)\nAll of these are on by default (as appropriate)\nnone         Clear default options (all but journaling)\ndir_index    Use htree indexes for large directories\nfiletype     Store file type info in directory entry\nhas_journal  Set by -j\njournal_dev  Set by -J device=XXX\nsparse_super Don't allocate huge numbers of redundant superblocks\n"
#define help_mkpasswd "usage: mkpasswd [OPTIONS] [PASSWORD] [SALT]\n\nCrypt PASSWORD using crypt(3)\n\n-P N    Read password from fd N\n-m TYPE Encryption method, when TYPE='help', then show the methods available\n-S SALT\n"
#define help_nbd_client "usage: nbd-client [-ns] HOST PORT DEVICE\n\n-n  Do not fork into background\n-s  nbd swap support (lock server into memory)\n"
#define help_netstat "usage: netstat [-pWrxwutneal]\n\nDisplay networking information.\n\n-r  Display routing table.\n-a  Display all sockets (Default: Connected).\n-l  Display listening server sockets.\n-t  Display TCP sockets.\n-u  Display UDP sockets.\n-w  Display Raw sockets.\n-x  Display Unix sockets.\n-e  Display other/more information.\n-n  Don't resolve names.\n-W  Wide Display.\n-p  Display PID/Program name for sockets.\n"
#define help_pgrep "usage: pgrep [-flnovx] [-s SID|-P PPID|PATTERN]\npkill [-l|-SIGNAL] [-fnovx] [-s SID|-P PPID|PATTERN]\n\n-l  Show command name too / List all signals\n-f  Match against entire command line\n-n  Show/Signal the newest process only\n-o  Show/Signal the oldest process only\n-v  Negate the match\n-x  Match whole name (not substring)\n-s  Match session ID (0 for current)\n-P  Match parent process ID\n"
#define help_ps "usage: ps [-o COL1,COL2=HEADER] [-T]\n\nShow list of processes\n-o COL1,COL2=HEADER Select columns for display\n-T      Show threads\n"
#define help_route "usage: route -neA inet{6} / [{add|del}]\n\nDisplay/Edit kernel routing tables.\n\n-n  Don't resolve names\n-e  Display other/more information\n-A  inet{6} Select Address Family\n"
#define help_sed "usage: sed [-irn] {command | [-e command]...} [FILE...]\n\nStream EDitor, transforms text by appling script of command to each line\nof input.\n\n-e  Add expression to the command script (if no -e, use first argument)\n-i  Modify file in place\n-n  No default output (p commands only)\n-r  Use extended regular expression syntex\n"
#define help_sh "usage: sh [-c command] [script]\n\nCommand shell.  Runs a shell script, or reads input interactively\nand responds to it.\n\n-c  command line to execute\n"
#define help_sh_tty "Add terminal control to toysh.  This is necessary for interactive use,\nso the shell isn't killed by CTRL-C.\n"
#define help_sh_profile "Read /etc/profile and ~/.profile when running interactively.\n\nAlso enables the built-in command \"source\".\n"
#define help_sh_jobctl "Add job control to toysh.  This lets toysh handle CTRL-Z, and enables\nthe built-in commands \"fg\", \"bg\", and \"jobs\".\n\nWith pipe support, enable use of \"&\" to run background processes.\n"
#define help_sh_flowctl "Add flow control to toysh.  This enables the if/then/else/fi,\nwhile/do/done, and for/do/done constructs.\n\nWith pipe support, this enables the ability to define functions\nusing the \"function name\" or \"name()\" syntax, plus curly brackets\n\"{ }\" to group commands.\n"
#define help_sh_quotes "Add support for parsing \"\" and '' style quotes to the toysh command\nparser, with lets arguments have spaces in them.\n"
#define help_sh_wildcards "Expand wildcards in argument names, ala \"ls -l *.t?z\" and\n\"rm subdir/{one,two,three}.txt\".\n"
#define help_sh_procargs "Add support for executing arguments contianing $() and ``, using\nthe output of the command as the new argument value(s).\n\n(Bash calls this \"command substitution\".)\n"
#define help_sh_envvars "Substitute environment variable values for $VARNAME or ${VARNAME},\nand enable the built-in command \"export\".\n"
#define help_sh_locals "Support for local variables, fancy prompts ($PS1), the \"set\" command,\nand $?.\n"
#define help_sh_arrays "Support for ${blah[blah]} style array variables.\n"
#define help_sh_pipes "Support multiple commands on the same command line.  This includes\n| pipes, > >> < redirects, << here documents, || && conditional\nexecution, () subshells, ; sequential execution, and (with job\ncontrol) & background processes.\n"
#define help_sh_builtins "Adds the commands exec, fg, bg, help, jobs, pwd, export, source, set,\nunset, read, alias.\n"
#define help_exit "usage: exit [status]\n\nExit shell.  If no return value supplied on command line, use value\nof most recent command, or 0 if none.\n"
#define help_cd "usage: cd [path]\n\nChange current directory.  With no arguments, go to $HOME.\n"
#define help_cd_p "usage: cd [-PL]\n\n-P    Physical path: resolve symlinks in path.\n-L    Cancel previous -P and restore default behavior.\n"
#define help_su "usage: su [-lmp] [-c CMD] [-s SHELL] [USER [ARGS...]]\n\nSwitch to given user, or root if not given, and call a shell with the given arguments.\n\noptions:\n-s  shell to call\n-c  command to pass to shell with -c\n\nflags:\n-l      login shell\n-(m|p)  preserve environment\n"
#define help_syslogd "Usage: syslogd  [-a socket] [-O logfile] [-f config file] [-m interval]\n[-p socket] [-s SIZE] [-b N] [-R HOST] [-l N] [-nSLKD]\n\nSystem logging utility\n\n-a      Extra unix socket for listen\n-O FILE Default log file <DEFAULT: /var/log/messages>\n-f FILE Config file <DEFAULT: /etc/syslog.conf>\n-p      Alternative unix domain socket <DEFAULT : /dev/log>\n-n      Avoid auto-backgrounding.\n-S      Smaller output\n-m MARK interval <DEFAULT: 20 minutes> (RANGE: 0 to 71582787)\n-R HOST Log to IP or hostname on PORT (default PORT=514/UDP)\"\n-L      Log locally and via network (default is network only if -R)\"\n-s SIZE Max size (KB) before rotation (default:200KB, 0=off)\n-b N    rotated logs to keep (default:1, max=99, 0=purge)\n-K      Log to kernel printk buffer (use dmesg to read it)\n-l N    Log only messages more urgent than prio(default:8 max:8 min:1)\n-D      Drop duplicates\n"
#define help_test "usage: test [-bcdefghLPrSsuwx PATH] [-nz STRING] [-t FD] [X ?? Y]\n\nReturn true or false by performing tests. (With no arguments return false.)\n\n--- Tests with a single argument (after the option):\nPATH is/has:\n-b  block device   -f  regular file   -p  fifo           -u  setuid bit\n-c  char device    -g  setgid         -r  read bit       -w  write bit\n-d  directory      -h  symlink        -S  socket         -x  execute bit\n-e  exists         -L  symlink        -s  nonzero size\nSTRING is:\n-n  nonzero size   -z  zero size      (STRING by itself implies -n)\nFD (integer file descriptor) is:\n-t  a TTY\n\n--- Tests with one argument on each side of an operator:\nTwo strings:\n=  are identical   !=  differ\nTwo integers:\n-eq  equal         -gt  first > second    -lt  first < second\n-ne  not equal     -ge  first >= second   -le  first <= second\n\n--- Modify or combine tests:\n! EXPR     not (swap true/false)   EXPR -a EXPR    and (are both true)\n( EXPR )   evaluate this first     EXPR -o EXPR    or (is either true)\n"
#define help_tftpd "usage: tftpd [-cr] [-u USER] [DIR]\n\nTransfer file from/to tftp server.\n\n-r  Prohibit upload\n-c  Allow file creation via upload\n-u  Access files as USER\n"
#define help_top "\nUsage: top [-mb] [ -d seconds ] [ -n iterations ]\n\nProvide a view of process activity in real time.\nKeys\nN/M/P/T show CPU usage, sort by pid/mem/cpu/time\nS       show memory\nR       reverse sort\nH       toggle threads\nC,1     toggle SMP\nQ,^C    exit\n\nOptions\n-n Iterations before exiting\n-d Delay between updates\n-m Same as 's' key\n-b Batch mode\n"
#define help_traceroute "usage: traceroute [-FUIldnvr] [-f 1ST_TTL] [-m MAXTTL] [-p PORT] [-q PROBES]\n[-s SRC_IP] [-t TOS] [-w WAIT_SEC] [-g GATEWAY] [-i IFACE] [-z PAUSE_MSEC] HOST [BYTES]\n\nTrace the route to HOST\n\n-F    Set the don't fragment bit\n-U    Use UDP datagrams instead of ICMP ECHO\n-I    Use ICMP ECHO instead of UDP datagrams\n-l    Display the TTL value of the returned packet\n-f    Start from the 1ST_TTL hop (instead from 1)(RANGE 1 to 255)\n-d    Set SO_DEBUG options to socket\n-n    Print numeric addresses\n-v    verbose\n-r    Bypass routing tables, send directly to HOST\n-m    Max time-to-live (max number of hops)(RANGE 1 to 255)\n-p    Base UDP port number used in probes(default 33434)(RANGE 1 to 65535)\n-q    Number of probes per TTL (default 3)(RANGE 1 to 255)\n-s    IP address to use as the source address\n-t    Type-of-service in probe packets (default 0)(RANGE 0 to 255)\n-w    Time in seconds to wait for a response (default 3)(RANGE 0 to 86400)\n-g    Loose source route gateway (8 max)\n-z    Pause Time in milisec (default 0)(RANGE 0 to 86400)\n"
#define help_useradd "usage: useradd [-SDH] [-hDIR] [-sSHELL] [-G GRP] [-gGECOS] [-uUID] USER [GROUP]\n\nCreate new user, or add USER to GROUP\n\n-h DIR   Home directory\n-g GECOS GECOS field\n-s SHELL Login shell\n-G GRP   Add user to existing group\n-S       Create a system user\n-D       Don't assign a password\n-H       Don't create home directory\n-u UID   User id\n"
#define help_watch "Usage: watch [-n SEC] [-t] PROG ARGS\n\nRun PROG periodically\n\n-n  Loop period in seconds (default 2)\n-t  Don't print header\n-e  Freeze updates on command error, and exit after enter.\n"
#define help_xzcat "usage: xzcat [filename...]\n\nDecompress listed files to stdout. Use stdin if no files listed.\n\n"
#define help_basename "usage: basename string [suffix]\n\nReturn non-directory portion of a pathname removing suffix\n"
#define help_cal "usage: cal [[month] year]\nPrint a calendar.\n\nWith one argument, prints all months of the specified year.\nWith two arguments, prints calendar for month and year.\n"
#define help_cat "usage: cat [-u] [file...]\nCopy (concatenate) files to stdout.  If no files listed, copy from stdin.\nFilename \"-\" is a synonym for stdin.\n\n-u  Copy one byte at a time (slow).\n"
#define help_chgrp "usage: chown [-RHLP] [-fvh] [owner][:group] file...\nusage: chgrp [-RHLP] [-fvh] group file...\n\nChange ownership of one or more files.\n\n-f  suppress most error messages.\n-h  change symlinks instead of what they point to\n-R  recurse into subdirectories (implies -h).\n-H  with -R change target of symlink, follow command line symlinks\n-L  with -R change target of symlink, follow all symlinks\n-P  with -R change symlink, do not follow symlinks (default)\n-v  verbose output.\n"
#define help_chmod "usage: chmod [-R] MODE FILE...\n\nChange mode of listed file[s] (recursively with -R).\n\nMODE can be (comma-separated) stanzas: [ugoa][+-=][rwxstXugo]\n\nStanzas are applied in order: For each category (u = user,\ng = group, o = other, a = all three, if none specified default is a),\nset (+), clear (-), or copy (=), r = read, w = write, x = execute.\ns = u+s = suid, g+s = sgid, o+s = sticky. (+t is an alias for o+s).\nsuid/sgid: execute as the user/group who owns the file.\nsticky: can't delete files you don't own out of this directory\nX = x for directories or if any category already has x set.\n\nOr MODE can be an octal value up to 7777    ug uuugggooo    top +\nbit 1 = o+x, bit 1<<8 = u+w, 1<<11 = g+1    sstrwxrwxrwx    bottom\n\nExamples:\nchmod u+w file - allow owner of \"file\" to write to it.\nchmod 744 file - user can read/write/execute, everyone else read only\n"
#define help_cksum "usage: cksum [-IPLN] [file...]\n\nFor each file, output crc32 checksum value, length and name of file.\nIf no files listed, copy from stdin.  Filename \"-\" is a synonym for stdin.\n\n-L  Little endian (defaults to big endian)\n-P  Pre-inversion\n-I  Skip post-inversion\n-N  Do not include length in CRC calculation\n"
#define help_cmp "usage: cmp [-l] [-s] FILE1 FILE2\n\nCompare the contents of two files.\n\n-l  show all differing bytes\n-s  silent\n"
#define help_comm "usage: comm [-123] FILE1 FILE2\n\nReads FILE1 and FILE2, which should be ordered, and produces three text\ncolumns as output: lines only in FILE1; lines only in FILE2; and lines\nin both files. Filename \"-\" is a synonym for stdin.\n\n-1 suppress the output column of lines unique to FILE1\n-2 suppress the output column of lines unique to FILE2\n-3 suppress the output column of lines duplicated in FILE1 and FILE2\n"
#define help_cp "usage: cp [-fipRHLP] SOURCE... DEST\n\nCopy files from SOURCE to DEST.  If more than one SOURCE, DEST must\nbe a directory.\n\n-f  force copy by deleting destination file\n-i  interactive, prompt before overwriting existing DEST\n-p  preserve timestamps, ownership, and permissions\n-R  recurse into subdirectories (DEST must be a directory)\n-H  Follow symlinks listed on command line\n-L  Follow all symlinks\n-P  Do not follow symlinks [default]\n"
#define help_cp_more "usage: cp [-rdavsl]\n\n-a  same as -dpr\n-d  don't dereference symlinks\n-l  hard link instead of copy\n-n  no clobber (don't overwrite DEST)\n-r  synonym for -R\n-s  symlink instead of copy\n-v  verbose\n"
#define help_cp_mv "usage: mv [-fi] SOURCE... DEST\"\n\n-f  force copy by deleting destination file\n-i  interactive, prompt before overwriting existing DEST\n"
#define help_cp_mv_more "usage: mv [-vn]\n\n-v  verbose\n-n  no clobber (don't overwrite DEST)\n"
#define help_cut "usage: cut OPTION... [FILE]...\nPrint selected parts of lines from each FILE to standard output.\n-b LIST    select only these bytes from LIST.\n-c LIST    select only these characters from LIST.\n-f LIST    select only these fields.\n-d DELIM  use DELIM instead of TAB for field delimiter.\n-s    do not print lines not containing delimiters.\n-n    don't split multibyte characters (Ignored).\n"
#define help_date "usage: date [-u] [-r file] [+format] | mmddhhmm[[cc]yy]\n\nSet/get the current date/time\n"
#define help_df "usage: df [-t type] [FILESYSTEM ...]\n\nThe \"disk free\" command shows total/used/available disk space for\neach filesystem listed on the command line, or all currently mounted\nfilesystems.\n\n-t type     Display only filesystems of this type.\n"
#define help_df_pedantic "usage: df [-Pk]\n\n-P  The SUSv3 \"Pedantic\" option\n\nProvides a slightly less useful output format dictated by\nthe Single Unix Specification version 3, and sets the\nunits to 512 bytes instead of the default 1024 bytes.\n\n-k  Sets units back to 1024 bytes (the default without -P)\n"
#define help_dirname "usage: dirname PATH\n\nShow directory portion of path.\n"
#define help_du "usage: du [-d N] [-askxHLlmc] [file...]\n\nShow disk usage, space consumed by files and directories.\n\nSize in:\n-k    1024 byte blocks (default)\n-K    512 byte blocks (posix)\n-m    megabytes\n-h    human readable format (e.g., 1K 243M 2G )\n\nWhat to show:\n-a    all files, not just directories\n-H    follow symlinks on cmdline\n-L    follow all symlinks\n-s    only total size of each argument\n-x    don't leave this filesystem\n-c    cumulative total\n-d N  only depth < N\n-l    disable hardlink filter\n"
#define help_echo "usage: echo [-ne] [args...]\n\nWrite each argument to stdout, with one space between each, followed\nby a newline.\n\n-n  No trailing newline.\n-e  Process the following escape sequences:\n\\\\      backslash\n\\0NNN   octal values (1 to 3 digits)\n\\a      alert (beep/flash)\n\\b      backspace\n\\c      stop output here (avoids trailing newline)\n\\f      form feed\n\\n      newline\n\\r      carriage return\n\\t      horizontal tab\n\\v      vertical tab\n\\xHH    hexadecimal values (1 to 2 digits)\n"
#define help_env "usage: env [-i] [NAME=VALUE...] [command [option...]]\n\nSet the environment for command invocation.\n\n-i  Clear existing environment.\n"
#define help_expand "usage: expand [-t TABLIST] [FILE...]\n\nExpand tabs to spaces according to tabstops.\n\n-t  TABLIST\n\nSpecify tab stops, either a single number instead of the default 8,\nor a comma separated list of increasing numbers representing tabstop\npositions (absolute, not increments) with each additional tab beyound\nthat becoming one space.\n"
#define help_false "Return nonzero.\n"
#define help_grep "usage: grep [-EFivwcloqsHbhn] [-m MAX] [-e REGEX]... [-f REGFILE] [FILE]...\n\nShow lines matching regular expressions. If no -e, first argument is\nregular expression to match. With no files (or \"-\" filename) read stdin.\nReturns 0 if matched, 1 if no match found.\n\n-e  Regex to match. (May be repeated.)\n-f  File containing regular expressions to match.\n\nmatch type:\n-E  extended regex syntax    -F  fixed (match literal string)\n-i  case insensitive         -m  stop after this many lines matched\n-r  recursive (on dir)       -v  invert match\n-w  whole word (implies -E)  -x  whole line\n\ndisplay modes: (default: matched line)\n-c  count of matching lines  -l  show matching filenames\n-o  only matching part       -q  quiet (errors only)\n-s  silent (no error msg)\n\nprefix modes (default: filename if checking more than 1 file)\n-H  force filename           -b  byte offset of match\n-h  hide filename            -n  line number of match\n"
#define help_head "usage: head [-n number] [file...]\n\nCopy first lines from files to stdout. If no files listed, copy from\nstdin. Filename \"-\" is a synonym for stdin.\n\n-n  Number of lines to copy.\n"
#define help_id "usage: id [-nGgru]\n\nPrint user and group ID.\n\n-n  print names instead of numeric IDs (to be used with -Ggu)\n-G  Show only the group IDs\n-g  Show only the effective group ID\n-r  Show real ID instead of effective ID\n-u  Show only the effective user ID\n"
#define help_id_groups "usage: groups [user]\n\nPrint the groups a user is in.\n\n"
#define help_kill "usage: kill [-l [SIGNAL] | -s SIGNAL | -SIGNAL] pid...\n\nSend a signal to a process\n"
#define help_link "usage: link FILE NEWLINK\n\nCreate hardlink to a file.\n"
#define help_ln "usage: ln [-sfn] [FROM...] TO\n\nCreate a link between FROM and TO.\nWith only one argument, create link in current directory.\n\n-s  Create a symbolic link\n-f  Force the creation of the link, even if TO already exists\n-n  Symlink at destination treated as file\n"
#define help_logname "usage: logname\n\nPrints the calling user's name or an error when this cannot be\ndetermined.\n"
#define help_ls "usage: ls [-ACFHLRSacdfiklmnpqrstux1] [directory...]\nlist files\n\nwhat to show:\n-a  all files including .hidden             -c  use ctime for timestamps\n-d  directory, not contents                 -i  inode number\n-k  block sizes in kilobytes                -p  put a '/' after dir names\n-q  unprintable chars as '?'                -s  size (in blocks)\n-u  use access time for timestamps          -A  list all files but . and ..\n-H  follow command line symlinks            -L  follow symlinks\n-R  recursively list files in subdirs       -F  append /dir *exe @sym |FIFO\n\noutput formats:\n-1  list one file per line                  -C  columns (sorted vertically)\n-g  like -l but no owner                    -l  long (show full details)\n-m  comma separated                         -n  like -l but numeric uid/gid\n-o  like -l but no group                    -x  columns (horizontal sort)\n\nsorting (default is alphabetical):\n-f  unsorted        -r  reverse     -t  timestamp   -S  size\n"
#define help_ls_color "usage: ls --color[=auto]\n\n--color  device=yellow  symlink=turquoise/red  dir=blue  socket=purple\nfiles: exe=green  suid=red  suidfile=redback  stickydir=greenback\n=auto means detect if output is a tty.\n"
#define help_mkdir "usage: mkdir [-p] [-m mode] [dirname...]\nCreate one or more directories.\n\n-p  make parent directories as needed.\n-m  set permissions of directory to mode.\n"
#define help_mkfifo "usage: mkfifo [fifo_name...]\n\nCreate FIFOs (named pipes).\n"
#define help_nice "usage: nice [-n PRIORITY] command [args...]\n\nRun a command line at an increased or decreased scheduling priority.\n\nHigher numbers make a program yield more CPU time, from -20 (highest\npriority) to 19 (lowest).  By default processes inherit their parent's\nniceness (usually 0).  By default this command adds 10 to the parent's\npriority.  Only root can set a negative niceness level.\n"
#define help_nl "usage: nl [-E] [-l #] [-b MODE] [-n STYLE] [-s SEPARATOR] [-w WIDTH] [FILE...]\n\nNumber lines of input.\n\n-E  Use extended regex syntax (when doing -b pREGEX)\n-b  which lines to number: a (all) t (non-empty, default) pREGEX (pattern)\n-l  Only count last of this many consecutive blank lines\n-n  number STYLE: ln (left justified) rn (right justified) rz (zero pad)\n-s  Separator to use between number and line (instead of TAB)\n-w  Width of line numbers (default 6)\n"
#define help_nohup "usage: nohup COMMAND [ARGS...]\n\nRun a command that survives the end of its terminal.\nIf stdin is a tty, redirect from /dev/null\nIf stdout is a tty, redirect to file \"nohup.out\"\n"
#define help_od "usage: od [-bcdosxv] [-j #] [-N #] [-A doxn] [-t acdfoux[#]]\n\n-A  Address base (decimal, octal, hexdecimal, none)\n-j  Skip this many bytes of input\n-N  Stop dumping after this many bytes\n-t  output type a(scii) c(har) d(ecimal) f(loat) o(ctal) u(nsigned) (he)x\nplus optional size in bytes\naliases: -b=-t o1, -c=-t c, -d=-t u2, -o=-t o2, -s=-t d2, -x=-t x2\n-v  Don't collapse repeated lines together\n"
#define help_paste "usage: paste [-s] [-d list] [file...]\n\nReplace newlines in files.\n\n-d list    list of delimiters to separate lines\n-s         process files sequentially instead of in parallel\n\nBy default print corresponding lines separated by <tab>.\n"
#define help_patch "usage: patch [-i file] [-p depth] [-Ru]\n\nApply a unified diff to one or more files.\n\n-i  Input file (defaults=stdin)\n-l  Loose match (ignore whitespace)\n-p  Number of '/' to strip from start of file paths (default=all)\n-R  Reverse patch.\n-u  Ignored (only handles \"unified\" diffs)\n\nThis version of patch only handles unified diffs, and only modifies\na file when all all hunks to that file apply.  Patch prints failed\nhunks to stderr, and exits with nonzero status if any hunks fail.\n\nA file compared against /dev/null (or with a date <= the epoch) is\ncreated/deleted as appropriate.\n"
#define help_pwd "usage: pwd [-L|-P]\n\nPrint working (current) directory.\n\n-L  Use shell's path from $PWD (when applicable)\n-P  Print cannonical absolute path\n"
#define help_renice "usage: renice [-gpu] -n increment ID ...\n"
#define help_rm "usage: rm [-fiRr] FILE...\n\nRemove each argument from the filesystem.\n\n-f  force: remove without confirmation, no error if it doesn't exist\n-i  interactive: prompt for confirmation\n-rR recursive: remove directory contents\n"
#define help_rmdir "usage: rmdir [-p] [dirname...]\nRemove one or more directories.\n\n-p  Remove path.\n"
#define help_sleep "usage: sleep LENGTH\n\nWait before exiting. An optional suffix can be \"m\" (minutes), \"h\" (hours),\n\"d\" (days), or \"s\" (seconds, the default).\n\n"
#define help_sleep_float "Length can be a decimal fraction.\n"
#define help_sort "usage: sort [-run] [FILE...]\n\nSort all lines of text from input files (or stdin) to stdout.\n\n-r    reverse\n-u    unique lines only\n-n    numeric order (instead of alphabetical)\n"
#define help_sort_big "usage: sort [-bcdfiMsz] [-k#[,#[x]] [-t X]] [-o FILE]\n\n-b    ignore leading blanks (or trailing blanks in second part of key)\n-c    check whether input is sorted\n-d    dictionary order (use alphanumeric and whitespace chars only)\n-f    force uppercase (case insensitive sort)\n-i    ignore nonprinting characters\n-M    month sort (jan, feb, etc).\n-x    Hexadecimal numerical sort\n-s    skip fallback sort (only sort with keys)\n-z    zero (null) terminated input\n-k    sort by \"key\" (see below)\n-t    use a key separator other than whitespace\n-o    output to FILE instead of stdout\n\nSorting by key looks at a subset of the words on each line.  -k2\nuses the second word to the end of the line, -k2,2 looks at only\nthe second word, -k2,4 looks from the start of the second to the end\nof the fourth word.  Specifying multiple keys uses the later keys as\ntie breakers, in order.  A type specifier appended to a sort key\n(such as -2,2n) applies only to sorting that key.\n"
#define help_sort_float "usage: sort [-g]\n\nThis version of sort requires floating point.\n\n-g  general numeric sort (double precision with nan and inf)\n\n"
#define help_split "usage: split [-a SUFFIX_LEN] [-b BYTES] [-l LINES] [INPUT [OUTPUT]]\n\nCopy INPUT (or stdin) data to a series of OUTPUT (or \"x\") files with\nalphabetically increasing suffix (aa, ab, ac... az, ba, bb...).\n\n-a  Suffix length (default 2)\n-b  BYTES/file (10, 10k, 10m, 10g...)\n-l  LINES/file (default 1000)\n"
#define help_tail "usage: tail [-n|c NUMBER] [-f] [FILE...]\n\nCopy last lines from files to stdout. If no files listed, copy from\nstdin. Filename \"-\" is a synonym for stdin.\n\n-n  output the last NUMBER lines (default 10), +X counts from start.\n-c  output the last NUMBER bytes, +NUMBER counts from start\n-f  follow FILE(s), waiting for more data to be appended\n"
#define help_tail_seek "This version uses lseek, which is faster on large files.\n"
#define help_tee "usage: tee [-ai] [file...]\n\nCopy stdin to each listed file, and also to stdout.\nFilename \"-\" is a synonym for stdout.\n\n-a  append to files.\n-i  ignore SIGINT.\n"
#define help_time "usage: time [-p] COMMAND [ARGS...]\n\nRun command line and report real, user, and system time elapsed in seconds.\n(real = clock on the wall, user = cpu used by command's code,\nsystem = cpu used by OS on behalf of command.)\n\n-p  posix mode (ignored)\n"
#define help_touch "usage: touch [-amc] [-d DATE] [-t TIME] [-r FILE] FILE...\n\nUpdate the access and modification times of each FILE to the current time.\n\n-a  change access time\n-m  change modification time\n-c  don't create file\n-d  set time to DATE (in YYYY-MM-DDThh:mm:SS[.frac][tz] format)\n-t  set time to TIME (in [[CC]YY]MMDDhhmm[.ss][frac] format)\n-r  set time same as reference FILE\n"
#define help_true "Return zero.\n"
#define help_tty "usage: tty [-s]\n\nShow filename of terminal connected to stdin.\n\nPrints \"not a tty\" and exits with nonzero status if no terminal\nis connected to stdin.\n\n-s  silent, exit code only\n"
#define help_uname "usage: uname [-asnrvm]\n\nPrint system information.\n\n-s  System name\n-n  Network (domain) name\n-r  Kernel Release number\n-v  Kernel Version\n-m  Machine (hardware) name\n-a  All of the above\n"
#define help_uniq "usage: uniq [-cduiz] [-w maxchars] [-f fields] [-s char] [input_file [output_file]]\n\nReport or filter out repeated lines in a file\n\n-c  show counts before each line\n-d  show only lines that are repeated\n-u  show only lines that are unique\n-i  ignore case when comparing lines\n-z  lines end with \\0 not \\n\n-w  compare maximum X chars per line\n-f  ignore first X fields\n-s  ignore first X chars\n"
#define help_unlink "usage: unlink FILE\n\nDeletes one file.\n"
#define help_uudecode "usage: uudecode [-o OUTFILE] [INFILE]\n\nDecode file from stdin (or INFILE).\n\n-o  write to OUTFILE instead of filename in header\n"
#define help_uuencode "usage: uuencode [-m] [file] encode-filename\n\nUuencode stdin (or file) to stdout, with encode-filename in the output.\n\n-m  base64-encode\n"
#define help_wc "usage: wc -lwcm [FILE...]\n\nCount lines, words, and characters in input.\n\n-l  show lines\n-w  show words\n-c  show bytes\n-m  show characters\n\nBy default outputs lines, words, bytes, and filename for each\nargument (or from stdin if none). Displays only either bytes\nor characters.\n"
#define help_who "usage: who\n\nPrint logged user information on system\n"
#define help_xargs "usage: xargs [-ptxr0] [-s NUM] [-n NUM] [-L NUM] [-E STR] COMMAND...\n\nRun command line one or more times, appending arguments from stdin.\n\nIf command exits with 255, don't launch another even if arguments remain.\n\n-s  Size in bytes per command line\n-n  Max number of arguments per command\n-0  Each argument is NULL terminated, no whitespace or quote processing\n#-p Prompt for y/n from tty before running each command\n#-t Trace, print command line to stderr\n#-x Exit if can't fit everything in one command\n#-r Don't run command with empty input\n#-L Max number of lines of input per command\n-E  stop at line matching string\n"
#define help_xargs_pedantic "This version supports insane posix whitespace handling rendered obsolete\nby -0 mode.\n"
#define help_toybox "usage: toybox [command] [arguments...]\n\nWith no arguments, shows available commands. First argument is\nname of a command to run, followed by any arguments to that command.\n"
#define help_toybox_suid "Support for the Set User ID bit, to install toybox suid root and drop\npermissions for commands which do not require root access. To use\nthis change ownership of the file to the root user and set the suid\nbit in the file permissions:\n\nchown root:root toybox; chmod +s toybox\n"
#define help_toybox_float "Include floating point support infrastructure and commands that\nrequire it.\n"
#define help_toybox_help "Include help text for each command.\n"
#define help_toybox_help_dashdash "Support --help argument in all commands, even ones with a NULL\noptstring. Produces the same output as \"help command\".\n"
#define help_toybox_i18n "Support for UTF-8 character sets, and some locale support.\n"
#define help_toybox_free "When a program exits, the operating system will clean up after it\n(free memory, close files, etc). To save size, toybox usually relies\non this behavior. If you're running toybox under a debugger or\nwithout a real OS (ala newlib+libgloss), enable this to make toybox\nclean up after itself.\n"
#define help_toybox_debug "Enable extra checks for debugging purposes.\n"
